# Loki::LokiAllocator< Type, AllocT >::LokiAllocator::rebind< Type1 > Struct Template Reference

Convert an allocator<Type> to an allocator <Type1>. More...

`#include <Allocator.h>`

List of all members.

## Detailed Description

### template<typename Type, typename AllocT = Loki::AllocatorSingleton<>>
template<typename Type1>
struct Loki::LokiAllocator< Type, AllocT >::rebind< Type1 >

Convert an allocator<Type> to an allocator <Type1>.

The documentation for this struct was generated from the following file:

- Allocator.h